package impl

import (
	"ai_scheduler/internal/data/model"
	"ai_scheduler/tmpl/dataTemp"
	"ai_scheduler/utils"
)

type AdviceAdvicerImpl struct {
	dataTemp.DataTemp
}

func NewAdviceAdvicerImpl(db *utils.Db) *AdviceAdvicerImpl {
	return &AdviceAdvicerImpl{
		DataTemp: *dataTemp.NewDataTemp(db, new(model.AiAdviceAdvicer)),
	}
}
